Anmeldeinformationen an Verbraucher liefern
curl --request POST \
--url https://api.truthlocks.com/v1/consumer/inbox/deliver \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumer_reference": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attestation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
consumer_reference: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/consumer/inbox/deliver', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/inbox/deliver"
payload = {
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumer_reference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/inbox/deliver"
payload := strings.NewReader("{\n \"attestation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"consumer_reference\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}Verbraucher (B2C)
An Verbraucher-Posteingang liefern
Liefert eine Bestätigung an den Posteingang eines Verbrauchers per E-Mail-Adresse. Erfordert einen API-Schlüssel (ausstellerseitig).
POST
/
v1
/
consumer
/
inbox
/
deliver
Anmeldeinformationen an Verbraucher liefern
curl --request POST \
--url https://api.truthlocks.com/v1/consumer/inbox/deliver \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumer_reference": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attestation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
consumer_reference: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/consumer/inbox/deliver', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/inbox/deliver"
payload = {
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"consumer_reference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/inbox/deliver"
payload := strings.NewReader("{\n \"attestation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"consumer_reference\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}Eine Bestätigung per E-Mail an den Posteingang eines Verbrauchers liefern. Wenn der Verbraucher existiert, wird die Anmeldeinformation sofort geliefert. Wenn sich der Verbraucher noch nicht angemeldet hat, wird die Lieferung als ausstehend gespeichert und automatisch beansprucht, wenn er sich registriert. Erfordert die Authentifizierung des Ausstellers (Mandantenkonsole).

